Web Browser Compatibility

Internet Browsers and the District 18 Website

You may notice certain things are not displaying correctly, or links are not behaving as expected. This is often the case because of the browser that is being used to visit this site.

For best results, we suggest using the latest versions of Firefox or Google Chrome. If Internet Explorer is being used, Internet Explorer 9 or higher is recommended. (HTML 5 compatible).

Login